commit:     e0433ae4367b88793b4b63eb7aa938352849629a
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 28 19:40:18 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Nov 28 19:40:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0433ae4

app-editors/neovim-0.4.3: Version bump

Package-Manager: Portage-2.3.80, Repoman-2.3.19
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-editors/neovim/Manifest            |  1 +
 app-editors/neovim/neovim-0.4.3.ebuild | 91 ++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/app-editors/neovim/Manifest b/app-editors/neovim/Manifest
index 6f355fb6642..c6c0d92c7f0 100644
--- a/app-editors/neovim/Manifest
+++ b/app-editors/neovim/Manifest
@@ -1,2 +1,3 @@
 DIST neovim-0.3.8.tar.gz 9233661 BLAKE2B 
252a64d2ac5ca1f8e1695d3f0f694ac333d9d9179dc4c428a279534e455de4b8d2c0dc6e638f775bb28a940fc1254bad426f7cee1bffaa2dbf84deefe49d41dc
 SHA512 
431d3df859b430570e3f927328b862945a15b1ac041108599670d32af6cccac9361a143fc6af27847529629a43a5e0a0afd98b1c826d4ee1e7570de3cf14f9c7
 DIST neovim-0.4.2.tar.gz 9552134 BLAKE2B 
4004a2e2788344ab96c97f145acc4f75680961ad004fcaa017731557899bbed24c6003b799c1496067a3ca75d8a4c2e63344b9646e8dab0ed00c9fa329d90ab2
 SHA512 
cc0de18ee7ca5105a0dd9f5f06b4d58335618b22c4dc3d584a024683785ff9d541c7f5131742b8a818ac9acb2218da92f9b8a881d56c4b963237918e589fac22
+DIST neovim-0.4.3.tar.gz 9556199 BLAKE2B 
831f4d4950f4fa2cd9c7393824bbb5eb571ae5759d13af9f320e0fa351fa155413a5be580f010f2c7ab43ca7bc10c569ccf6e3ba29efc7f5a035576b030b216d
 SHA512 
e13853fa296eda8618f389c71b6cbbd6f01d561615e80cc92959131dd10e395b1c6732a7d9ef6dbb9fe3ea9da4c11485b464547e2d46b22e59b8a20214e861f5

diff --git a/app-editors/neovim/neovim-0.4.3.ebuild 
b/app-editors/neovim/neovim-0.4.3.ebuild
new file mode 100644
index 00000000000..0261cc8dfed
--- /dev/null
+++ b/app-editors/neovim/neovim-0.4.3.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils eutils xdg
+
+DESCRIPTION="Vim-fork focused on extensibility and agility."
+HOMEPAGE="https://neovim.io";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/neovim/neovim.git";
+else
+       SRC_URI="https://github.com/neovim/neovim/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0 vim"
+SLOT="0"
+IUSE="+luajit +nvimpager +tui"
+
+BDEPEND="
+       dev-util/gperf
+       virtual/libiconv
+       virtual/libintl
+       virtual/pkgconfig
+"
+
+DEPEND="
+       dev-libs/libuv:0=
+       >=dev-libs/libvterm-0.1.2
+       dev-libs/msgpack:0=
+       dev-lua/lpeg[luajit=]
+       dev-lua/luv[luajit=]
+       dev-lua/mpack[luajit=]
+       net-libs/libnsl
+       luajit? ( dev-lang/luajit:2 )
+       !luajit? (
+               dev-lang/lua:=
+               dev-lua/LuaBitOp
+       )
+       tui? (
+               dev-libs/libtermkey
+               >=dev-libs/unibilium-2.0.0:0=
+       )
+"
+
+RDEPEND="
+       ${DEPEND}
+       app-eselect/eselect-vi
+"
+
+CMAKE_BUILD_TYPE=Release
+
+src_prepare() {
+       # use our system vim dir
+       sed -e "/^# define SYS_VIMRC_FILE/s|\$VIM|${EPREFIX}/etc/vim|" \
+               -i src/nvim/globals.h || die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DFEAT_TUI=$(usex tui)
+               -DPREFER_LUA=$(usex luajit no yes)
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # install a default configuration file
+       insinto /etc/vim
+       doins "${FILESDIR}"/sysinit.vim
+
+       # conditionally install a symlink for nvimpager
+       if use nvimpager; then
+               dosym ../share/nvim/runtime/macros/less.sh /usr/bin/nvimpager
+       fi
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       optfeature "clipboard support" x11-misc/xsel x11-misc/xclip 
gui-apps/wl-clipboard
+       optfeature "Python plugin support" dev-python/neovim-python-client
+       optfeature "Ruby plugin support" dev-ruby/neovim-ruby-client
+       optfeature "remote/nvr support" dev-python/neovim-remote
+}

Reply via email to